#include <bits/stdc++.h>

using namespace std;
using ll = long long;

#define all(x) (x).begin(), (x).end()
#define sz(x) (int)(x).size()
#define pb push_back

bool smaller(int x);

int find_number(int MAX) {
    int l = 1, r = max, sol = 0;
    while (l <= r) {
        int m = (l + r) / 2;
        if (!smaller(m)) {
            l = m + 1;
            sol = m;
        } else {
            r = m - 1;
        }
    }
    return sol;
}

// int main() {
//     ios::sync_with_stdio(false);
//     cin.tie(0); cout.tie(0);
//     ;
//     return 0;
// }